#ifndef LMU_SIMPLETEST_H
#define LMU_SIMPLETEST_H

#ifdef _WIN32
#include <windows.h>
#endif



#include <stdio.h>
#include <stdlib.h>

#ifndef __APPLE__
#include <GL/gl.h>
#include <GL/glut.h>
#else
#include <OpenGL/gl.h>
#include <GLUT/glut.h>
#endif

#include <GL/gl.h>
#include <GL/glut.h>
#include "AR/gsub.h"
#include "AR/video.h"
#include "AR/param.h"
#include "AR/ar.h"

// global variable used by ARToolkit
// It is definitely not advised to use global variables, except for "small programs"...

/*****************************************************************************/
// This line defines video settings that can be listed by adding
// "-debug" to it
#ifdef _WIN32
static char         *vconf = "flipV,showDlg,videoWidth=640,videoHeight=480";
#else
static char         *vconf = "-width=640 -height=480";
#endif
/*****************************************************************************/

static int             xsize, ysize;
static int             thresh = 100;
static int             count = 0;

// the file having the camera parameters
static char           *cparam_name    = "Data/logitech4000_640x480.dat";
static ARParam         cparam;

// the file containing our single pattern
static char           *patt_name      = "Data/patt.hiro";
static int             patt_id;
// the pattern width in mm
static double          patt_width     = 80.0;
static double          patt_center[2] = {0.0, 0.0};
static double          patt_trans[3][4];

// the functions declared in simpleFunctions.c
void init(void);
void cleanup(void);
void keyEvent( unsigned char key, int x, int y);
void mainLoop(void);
void draw( void );

#endif //guard

